# Generated from sequel_paranoia-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sequel_paranoia

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: Works like ActiveRecord's acts_as_paranoid, but for sequel.  I am not the original author of this plugin. I merely took the source, fixed one minor bug, and put it up on rubygems because I found it so useful. The original author is at https://gist.github.com/bgentry. To automatically use deleted_at as as a soft delete field, simply setup as such: Sequel::Model.plugin :paranoia
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Works like ActiveRecord's acts_as_paranoid, but for sequel.
-
I am not the original author of this plugin. I merely took the source, fixed
one minor bug, and put it up on rubygems because I found it so useful.
The original author is at https://gist.github.com/bgentry. To automatically
use deleted_at as as a soft delete field, simply setup as such:
Sequel::Model.plugin :paranoia.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sequel_paranoia.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.7-1
- Initial package
